Subject: Re: bug#52798: 27.2; `undo' causes `buffer-undo-list' to grow exponentially

From: Stefan Monnier <[email-masked]>
Date: Mon, 21 Feb 2022 18:07:35 -0500

Lars Ingebrigtsen [2021-12-29 17:29:26] wrote:
> Vladimir Panteleev <[email-masked]> writes:
>> As far as I can see, the undo (and undo-only) command causes
>> buffer-undo-list to grow exponentially. This causes information about
>> previous entries to eventually be displaced.
> I can reproduce this in Emacs 29, too.

Yes, it's a known problem (tho it should be much less of a problem with
`undo-only`, IIRC).

> Perhaps Stefan has some comments; added to the CCs.

I'm sure we can do better.  The info about which parts can be skipped
should be available in `undo-equiv-table` but someone needs to sit down
and think about how and when we can use it.

        Stefan